restinio::impl::write_group_output_ctx_t::file_write_operation_t Class Reference

Write operaton using sendfile. More...

`#include <write_group_output_ctx.hpp>`

## Public Member Functions

| file_write_operation_t (const file_write_operation_t &)=default
file_write_operation_t & | operator= (const file_write_operation_t &)=default
| file_write_operation_t (file_write_operation_t &&)=default
file_write_operation_t & | operator= (file_write_operation_t &&)=default
template<typename Socket , typename After_Write_CB >
void | start_sendfile_operation (default_asio_executor executor, Socket &socket, After_Write_CB after_sendfile_cb)
| Start a sendfile operation. More...
auto | timelimit () const noexcept
| Get the timelimit on this sendfile operation. More...
void | reset () noexcept
| Reset write operation context. More...
auto | size () const noexcept
| Get the size of sendfile operation. More...

## Private Member Functions

| file_write_operation_t (sendfile_t &sendfile, sendfile_operation_shared_ptr_t &sendfile_operation) noexcept

## Private Attributes

sendfile_t * | m_sendfile
| A pointer to sendfile. More...
sendfile_operation_shared_ptr_t * | m_sendfile_operation
| A curernt sendfile operation. More...

## Friends

class | write_group_output_ctx_t

## Detailed Description

Write operaton using sendfile.

Definition at line 141 of file write_group_output_ctx.hpp.

## Constructor & Destructor Documentation

## file_write_operation_t() [1/3]

restinio::impl::write_group_output_ctx_t::file_write_operation_t::file_write_operation_t | ( | sendfile_t & | sendfile,
|  | sendfile_operation_shared_ptr_t & | sendfile_operation
| ) |  |

inlineexplicitprivatenoexcept

Definition at line 145 of file write_group_output_ctx.hpp.

## file_write_operation_t() [2/3]

restinio::impl::write_group_output_ctx_t::file_write_operation_t::file_write_operation_t | ( | const file_write_operation_t & |  | ) |

default

## file_write_operation_t() [3/3]

restinio::impl::write_group_output_ctx_t::file_write_operation_t::file_write_operation_t | ( | file_write_operation_t && |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

file_write_operation_t & restinio::impl::write_group_output_ctx_t::file_write_operation_t::operator= | ( | const file_write_operation_t & |  | ) |

default

## operator=() [2/2]

file_write_operation_t & restinio::impl::write_group_output_ctx_t::file_write_operation_t::operator= | ( | file_write_operation_t && |  | ) |

default

## reset()

void restinio::impl::write_group_output_ctx_t::file_write_operation_t::reset | ( |  | ) |

inlinenoexcept

Reset write operation context.

Note
  Since v.0.6.0 this method is noexcept.

Definition at line 206 of file write_group_output_ctx.hpp.

## size()

auto restinio::impl::write_group_output_ctx_t::file_write_operation_t::size | ( |  | ) | const

inlinenoexcept

Get the size of sendfile operation.

Definition at line 212 of file write_group_output_ctx.hpp.

## start_sendfile_operation()

template<typename Socket , typename After_Write_CB >

void restinio::impl::write_group_output_ctx_t::file_write_operation_t::start_sendfile_operation | ( | default_asio_executor | executor,
|  | Socket & | socket,
|  | After_Write_CB | after_sendfile_cb
| ) |  |

inline

Start a sendfile operation.

Note
  Since v.0.4.9 it is non-const method. This is necessary to get a non-const reference to sendfile operation.

Definition at line 167 of file write_group_output_ctx.hpp.

## timelimit()

auto restinio::impl::write_group_output_ctx_t::file_write_operation_t::timelimit | ( |  | ) | const

inlinenoexcept

Get the timelimit on this sendfile operation.

Definition at line 193 of file write_group_output_ctx.hpp.

## Friends And Related Function Documentation

## write_group_output_ctx_t

friend class write_group_output_ctx_t

friend

Definition at line 143 of file write_group_output_ctx.hpp.

## Member Data Documentation

## m_sendfile

sendfile_t* restinio::impl::write_group_output_ctx_t::file_write_operation_t::m_sendfile

private

A pointer to sendfile.

Definition at line 216 of file write_group_output_ctx.hpp.

## m_sendfile_operation

sendfile_operation_shared_ptr_t* restinio::impl::write_group_output_ctx_t::file_write_operation_t::m_sendfile_operation

private

A curernt sendfile operation.

This context must be external to file_write_operation_t instance (in order to avoid circle links).

Definition at line 223 of file write_group_output_ctx.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/write_group_output_ctx.hpp